|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionFrame Class Reference

The QStyleOptionFrame class is used to describe the parameters for drawing a frame. More...

    #include <QStyleOptionFrame>

Part of the QtGui module.

Inherits QStyleOption.

- List of all members, including inherited members

### Properties

- lineWidth : const int
- midLineWidth : const int

- 5 properties inherited from QStyleOption

### Public Functions

- QStyleOptionFrame ()
- QStyleOptionFrame ( const QStyleOptionFrame & other )

- 2 public functions inherited from QStyleOption

## Detailed Description

The QStyleOptionFrame class is used to describe the parameters for drawing a frame.

QStyleOptionFrame is used for drawing several built-in Qt widget, including QFrame, QGroupBox, QLineEdit, and QMenu.

## Property Documentation

### lineWidth : const int

This property holds the line width for drawing the panel.

### midLineWidth : const int

This property holds the mid-line width for drawing the panel. This is usually used in drawing sunken or raised frames.

## Member Function Documentation

### QStyleOptionFrame::QStyleOptionFrame ()

Constructs a QStyleOptionFrame. The members variables are initialized to default values.

### QStyleOptionFrame::QStyleOptionFrame ( const QStyleOptionFrame & other )